# ParadisEO-PEOMovingObjects: Runner Class Reference

# Runner Class Reference

Inheritance diagram for Runner:

List of all members.

## Public Member Functions

| Runner ()
void | start ()
void | waitStarting ()
bool | isLocal ()
void | terminate ()
RUNNER_ID | getID ()
void | packTermination ()
void | notifySendingTermination ()

## Private Attributes

sem_t | sem_start
unsigned | id

## Detailed Description

Definition at line 47 of file runner.h.

The documentation for this class was generated from the following files:

- runner.h
- core/runner.cpp
- rmc/mpi/runner.cpp